<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>/home/tylerwbrown/Code/Personal/Challenges/Haskell/divisible_sum_pairs.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span><a class=annot href="#"><span class=annottext>GHC.Types.Module</span><span class='hs-comment'>{-# LANGUAGE FlexibleInstances, UndecidableInstances, DuplicateRecordFields #-}</span></a>
<span class=hs-linenum> 2: </span>
<span class=hs-linenum> 3: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Data.List</span>
<span class=hs-linenum> 4: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>System.Environment</span>
<span class=hs-linenum> 5: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>System.IO</span>
<span class=hs-linenum> 6: </span>
<span class=hs-linenum> 7: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##580:t -&gt; lq_tmp$x##581:(lq_tmp$x##579:t -&gt; t) -&gt; t</span><span class='hs-layout'>(</span></a><span class='hs-varop'>|&gt;</span><span class='hs-layout'>)</span> <a class=annot href="#"><span class=annottext>t</span><span class='hs-varid'>x</span></a> <a class=annot href="#"><span class=annottext>lq_tmp$x##579:t -&gt; t</span><span class='hs-varid'>f</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##586 : lq_tmp$x##587:t -&gt; t | lq_tmp$x##586 == f##avf}</span><span class='hs-varid'>f</span></a> <span class='hs-varid'>x</span> 
<span class=hs-linenum> 8: </span>
<span class=hs-linenum> 9: </span><a class=annot href="#"><span class=annottext>[GHC.Integer.Type.Integer]</span><span class='hs-definition'>ar</span></a> <span class='hs-keyglyph'>=</span> <span class='hs-keyglyph'>[</span><span class='hs-num'>1</span><span class='hs-layout'>,</span> <span class='hs-num'>3</span><span class='hs-layout'>,</span> <span class='hs-num'>2</span><span class='hs-layout'>,</span> <span class='hs-num'>6</span><span class='hs-layout'>,</span> <span class='hs-num'>1</span><span class='hs-layout'>,</span> <span class='hs-num'>2</span><span class='hs-keyglyph'>]</span>
<span class=hs-linenum>10: </span>
<span class=hs-linenum>11: </span><a class=annot href="#"><span class=annottext>lq_tmp$x##820:[b] -&gt; [(b, b)]</span><span class='hs-definition'>pairs</span></a> <span class='hs-conid'>[]</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>[]</span>
<span class=hs-linenum>12: </span><span class='hs-definition'>pairs</span> <span class='hs-layout'>(</span><span class='hs-varid'>x</span><span class='hs-conop'>:</span><span class='hs-varid'>xs</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##1215 : [{lq_tmp$x##1208 : ({lq_tmp$x##1204 : b^"lq_tmp$x##935" | $k_##934[ds_d3TV:=xs##avh][VV##933:=lq_tmp$x##1204][lq_tmp$x##970:=xs##avh][lq_tmp$x##964:=xs##avh][lq_tmp$x##1218:=xs##avh][VV##943:=lq_tmp$x##1208][VV##960:=lq_tmp$x##1215]}, {lq_tmp$x##1205 : b^"lq_tmp$x##938" | $k_##937[VV##936:=lq_tmp$x##1205][ds_d3TV:=xs##avh][lq_tmp$x##970:=xs##avh][lq_tmp$x##964:=xs##avh][lq_tmp$x##1218:=xs##avh][VV##943:=lq_tmp$x##1208][VV##960:=lq_tmp$x##1215]})^"lq_tmp$x##945" | $k_##944[ds_d3TV:=xs##avh][lq_tmp$x##970:=xs##avh][lq_tmp$x##964:=xs##avh][lq_tmp$x##1218:=xs##avh][VV##943:=lq_tmp$x##1208][VV##960:=lq_tmp$x##1215]}]^"lq_tmp$x##962" | $k_##961[ds_d3TV:=xs##avh][lq_tmp$x##970:=xs##avh][lq_tmp$x##964:=xs##avh][lq_tmp$x##1218:=xs##avh][VV##960:=lq_tmp$x##1215]}</span><span class='hs-keyglyph'>[</span></a><span class='hs-layout'>(</span><span class='hs-varid'>x</span><span class='hs-layout'>,</span> <span class='hs-varid'>y</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>|</span> <span class='hs-varid'>y</span> <span class='hs-keyglyph'>&lt;-</span> <span class='hs-varid'>xs</span><span class='hs-keyglyph'>]</span> <span class='hs-varop'>++</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##820:[b] -&gt; [(b, b)]</span><span class='hs-varid'>pairs</span></a> <span class='hs-varid'>xs</span>
<span class=hs-linenum>13: </span>
<span class=hs-linenum>14: </span><a class=annot href="#"><span class=annottext>(GHC.Real.Integral a) =&gt;
lq_tmp$x##1333:a -&gt; lq_tmp$x##1334:[a] -&gt; GHC.Types.Int</span><span class='hs-definition'>divisibleSumPairs</span></a> <a class=annot href="#"><span class=annottext>a</span><span class='hs-varid'>k</span></a> <a class=annot href="#"><span class=annottext>[a]</span><span class='hs-varid'>ar</span></a> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>length</span> <span class='hs-varop'>$</span> <a class=annot href="#"><span class=annottext>[({lq_tmp$x##1449 : a^"lq_tmp$x##1448" "lq_tmp$x##302" | $k_##1447[lq_tmp$x##1441:=ar##aYN][VV##1446:=lq_tmp$x##1449]}, {lq_tmp$x##1449 : a^"lq_tmp$x##1448" "lq_tmp$x##303" | $k_##1447[lq_tmp$x##1441:=ar##aYN][VV##1446:=lq_tmp$x##1449]})]</span><span class='hs-varid'>pairs</span></a> <span class='hs-varid'>ar</span> <span class='hs-varop'>|&gt;</span> 
<span class=hs-linenum>15: </span>  <a class=annot href="#"><span class=annottext>lq_tmp$x##1599:[{lq_tmp$x##1619 : ({lq_tmp$x##1615 : a^"lq_tmp$x##1604" | $k_##1603[VV##1602:=lq_tmp$x##1615][lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]}, {lq_tmp$x##1616 : a^"lq_tmp$x##1607" | $k_##1606[VV##1605:=lq_tmp$x##1616][lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]})^"lq_tmp$x##1614" | $k_##1613[lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]}] -&gt; {lq_tmp$x##1593 : [{lq_tmp$x##1619 : ({lq_tmp$x##1615 : a^"lq_tmp$x##1604" | $k_##1603[VV##1602:=lq_tmp$x##1615][lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]}, {lq_tmp$x##1616 : a^"lq_tmp$x##1607" | $k_##1606[VV##1605:=lq_tmp$x##1616][lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]})^"lq_tmp$x##1614" | $k_##1613[lq_tmp$x##1598:=lq_anf$##7205759403792808677##d3Vb][VV##1612:=lq_tmp$x##1619]}] | len lq_tmp$x##1593 &lt;= len lq_tmp$x##1599}</span><span class='hs-varid'>filter</span></a> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>{lq_tmp$x##1477 : ({lq_tmp$x##1473 : a^"lq_tmp$x##1458" | $k_##1457[VV##1456:=lq_tmp$x##1473][VV##1466:=lq_tmp$x##1477]}, {lq_tmp$x##1474 : a^"lq_tmp$x##1461" | $k_##1460[VV##1466:=lq_tmp$x##1477][VV##1459:=lq_tmp$x##1474]})^"lq_tmp$x##1468" | $k_##1467[VV##1466:=lq_tmp$x##1477]
                                                                                                                                                                                                                                                    &amp;&amp; lq_tmp$x##1477 == ds_d3U6}</span><span class='hs-keyglyph'>\</span></a><span class='hs-layout'>(</span><span class='hs-varid'>x</span><span class='hs-layout'>,</span> <span class='hs-varid'>y</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>-&gt;</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##1558 : a^"lq_tmp$x##1557" | lq_tmp$x##1558 == lq_anf$##7205759403792808675##d3V9}</span><span class='hs-layout'>(</span></a><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##1541 : a^"lq_tmp$x##1540" | lq_tmp$x##1541 == lq_anf$##7205759403792808673##d3V7 mod k##aYM
                                       &amp;&amp; (0 &lt;= lq_anf$##7205759403792808673##d3V7
                                           &amp;&amp; 0 &lt; k##aYM =&gt; 0 &lt;= lq_tmp$x##1541
                                                            &amp;&amp; lq_tmp$x##1541 &lt; k##aYM)}</span><span class='hs-layout'>(</span></a></span><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##1523 : a^"lq_tmp$x##1522" | lq_tmp$x##1523 == x##a1j0 + y##a1j1}</span><span class='hs-varid'>x</span></a></span><span class=hs-error> </span><span class=hs-error><a class=annot href="#"><span class=annottext>lq_tmp$x##1520:a -&gt; lq_tmp$x##1521:a -&gt; {lq_tmp$x##1523 : a^"lq_tmp$x##1522" | lq_tmp$x##1523 == lq_tmp$x##1520 + lq_tmp$x##1521}</span><span class='hs-varop'>+</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>y</span></span><span class=hs-error><span class='hs-layout'>)</span></span><span class=hs-error> </span><span class=hs-error><a class=annot href="#"><span class=annottext>lq_tmp$x##1538:a -&gt; lq_tmp$x##1539:{lq_tmp$x##1541 : a^"lq_tmp$x##1540" | lq_tmp$x##1541 /= 0} -&gt; {lq_tmp$x##1541 : a^"lq_tmp$x##1540" | lq_tmp$x##1541 == lq_tmp$x##1538 mod lq_tmp$x##1539
                                                                                                                                         &amp;&amp; (0 &lt;= lq_tmp$x##1538
                                                                                                                                             &amp;&amp; 0 &lt; lq_tmp$x##1539 =&gt; 0 &lt;= lq_tmp$x##1541
                                                                                                                                                                      &amp;&amp; lq_tmp$x##1541 &lt; lq_tmp$x##1539)}</span><span class='hs-varop'>`mod`</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>k</span></span><span class='hs-layout'>)</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##1572:{lq_tmp$x##1577 : a^"lq_tmp$x##1576" | $k_##1575[VV##1574:=lq_tmp$x##1577][lq_tmp$x##1571:=fix$36$$36$dEq_a3ct]} -&gt; lq_tmp$x##1573:{lq_tmp$x##1577 : a^"lq_tmp$x##1576" | $k_##1575[VV##1574:=lq_tmp$x##1577][lq_tmp$x##1571:=fix$36$$36$dEq_a3ct]} -&gt; {lq_tmp$x##1567 : GHC.Types.Bool | lq_tmp$x##1567 &lt;=&gt; lq_tmp$x##1572 == lq_tmp$x##1573}</span><span class='hs-varop'>==</span></a> <span class='hs-num'>0</span><span class='hs-layout'>)</span>
<span class=hs-linenum>16: </span>
<span class=hs-linenum>17: </span><a class=annot href="#"><span class=annottext>(GHC.Num.Num t, GHC.Classes.Eq t) =&gt;
lq_tmp$x##2548:t -&gt; (GHC.Types.IO [[GHC.Types.Char]])</span><span class='hs-definition'>readMultipleLinesAsStringArray</span></a> <span class='hs-num'>0</span> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##93:{lq_tmp$x##2931 : [{lq_tmp$x##2925 : [{lq_tmp$x##2922 : GHC.Types.Char^"lq_tmp$x##2900" | $k_##2899[VV##2919:=lq_tmp$x##2931][VV##2905:=lq_tmp$x##2925][VV##2898:=lq_tmp$x##2922]}]^"lq_tmp$x##2907" | $k_##2906[VV##2919:=lq_tmp$x##2931][VV##2905:=lq_tmp$x##2925]}]^"lq_tmp$x##2921" "lq_tmp$x##94" | $k_##2920[VV##2919:=lq_tmp$x##2931]} -&gt; (GHC.Types.IO {lq_tmp$x##2931 : [{lq_tmp$x##2925 : [{lq_tmp$x##2922 : GHC.Types.Char^"lq_tmp$x##2900" | $k_##2899[VV##2919:=lq_tmp$x##2931][VV##2905:=lq_tmp$x##2925][VV##2898:=lq_tmp$x##2922]}]^"lq_tmp$x##2907" | $k_##2906[VV##2919:=lq_tmp$x##2931][VV##2905:=lq_tmp$x##2925]}]^"lq_tmp$x##2921" "lq_tmp$x##96" | $k_##2920[VV##2919:=lq_tmp$x##2931]})</span><span class='hs-varid'>return</span></a> <span class='hs-conid'>[]</span>
<span class=hs-linenum>18: </span><span class='hs-definition'>readMultipleLinesAsStringArray</span> <span class='hs-varid'>n</span> <span class='hs-keyglyph'>=</span> <span class='hs-keyword'>do</span>
<span class=hs-linenum>19: </span>    <a class=annot href="#"><span class=annottext>[GHC.Types.Char]</span><span class='hs-varid'>line</span></a> <span class='hs-keyglyph'>&lt;-</span> <span class='hs-varid'>getLine</span>
<span class=hs-linenum>20: </span>    <a class=annot href="#"><span class=annottext>[[GHC.Types.Char]]</span><span class='hs-varid'>rest</span></a> <span class='hs-keyglyph'>&lt;-</span> <a class=annot href="#"><span class=annottext>(GHC.Num.Num t, GHC.Classes.Eq t) =&gt;
lq_tmp$x##2548:t -&gt; (GHC.Types.IO [[GHC.Types.Char]])</span><span class='hs-varid'>readMultipleLinesAsStringArray</span></a><span class='hs-layout'>(</span><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##2661 : t^"lq_tmp$x##2660" | lq_tmp$x##2661 == ds_d3TN - lq_anf$##7205759403792808698##d3Vw}</span><span class='hs-varid'>n</span></a></span><span class=hs-error> </span><span class=hs-error><a class=annot href="#"><span class=annottext>lq_tmp$x##2658:t -&gt; lq_tmp$x##2659:t -&gt; {lq_tmp$x##2661 : t^"lq_tmp$x##2660" | lq_tmp$x##2661 == lq_tmp$x##2658 - lq_tmp$x##2659}</span><span class='hs-comment'>-</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-num'>1</span></span><span class='hs-layout'>)</span>
<span class=hs-linenum>21: </span>    <a class=annot href="#"><span class=annottext>lq_tmp$x##93:{lq_tmp$x##2834 : [{lq_tmp$x##2828 : [{lq_tmp$x##2825 : GHC.Types.Char^"lq_tmp$x##2803" | $k_##2802[VV##2808:=lq_tmp$x##2828][VV##2801:=lq_tmp$x##2825][VV##2822:=lq_tmp$x##2834]}]^"lq_tmp$x##2810" | $k_##2809[VV##2808:=lq_tmp$x##2828][VV##2822:=lq_tmp$x##2834]}]^"lq_tmp$x##2824" "lq_tmp$x##94" | $k_##2823[VV##2822:=lq_tmp$x##2834]} -&gt; (GHC.Types.IO {lq_tmp$x##2834 : [{lq_tmp$x##2828 : [{lq_tmp$x##2825 : GHC.Types.Char^"lq_tmp$x##2803" | $k_##2802[VV##2808:=lq_tmp$x##2828][VV##2801:=lq_tmp$x##2825][VV##2822:=lq_tmp$x##2834]}]^"lq_tmp$x##2810" | $k_##2809[VV##2808:=lq_tmp$x##2828][VV##2822:=lq_tmp$x##2834]}]^"lq_tmp$x##2824" "lq_tmp$x##96" | $k_##2823[VV##2822:=lq_tmp$x##2834]})</span><span class='hs-varid'>return</span></a> <span class='hs-layout'>(</span><span class='hs-varid'>line</span> <span class='hs-conop'>:</span> <span class='hs-varid'>rest</span><span class='hs-layout'>)</span>
<span class=hs-linenum>22: </span>
<span class=hs-linenum>23: </span><a class=annot href="#"><span class=annottext>(GHC.Types.IO {lq_tmp$x##2536 : ()^"lq_tmp$x##2535" "lq_tmp$x##30" | $k_##2534[VV##2533:=lq_tmp$x##2536][lq_tmp$x##2532:=Main.main]})</span><span class='hs-definition'>main</span></a> <span class='hs-keyglyph'>=</span> <span class='hs-keyword'>do</span>
<span class=hs-linenum>24: </span>    <a class=annot href="#"><span class=annottext>[GHC.Types.Char]</span><span class='hs-varid'>stdout</span></a> <span class='hs-keyglyph'>&lt;-</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##1897 : lq_tmp$x##1899:[GHC.Types.Char] -&gt; (GHC.Types.IO [GHC.Types.Char]) | lq_tmp$x##1897 == System.Environment.getEnv}</span><span class='hs-varid'>getEnv</span></a> <span class='hs-str'>"OUTPUT_PATH"</span>
<span class=hs-linenum>25: </span>    <a class=annot href="#"><span class=annottext>GHC.IO.Handle.Types.Handle</span><span class='hs-varid'>fptr</span></a> <span class='hs-keyglyph'>&lt;-</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##1916 : lq_tmp$x##1918:[GHC.Types.Char] -&gt; lq_tmp$x##1919:GHC.IO.IOMode.IOMode -&gt; (GHC.Types.IO GHC.IO.Handle.Types.Handle) | lq_tmp$x##1916 == GHC.IO.Handle.FD.openFile}</span><span class='hs-varid'>openFile</span></a> <span class='hs-varid'>stdout</span> <span class='hs-conid'>WriteMode</span>
<span class=hs-linenum>26: </span>
<span class=hs-linenum>27: </span>    <a class=annot href="#"><span class=annottext>[GHC.Types.Char]</span><span class='hs-varid'>nkTemp</span></a> <span class='hs-keyglyph'>&lt;-</span> <span class='hs-varid'>getLine</span>
<span class=hs-linenum>28: </span>    <span class='hs-keyword'>let</span> <a class=annot href="#"><span class=annottext>[[GHC.Types.Char]]</span><span class='hs-varid'>nk</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##1955 : lq_tmp$x##1957:[GHC.Types.Char] -&gt; [[GHC.Types.Char]] | lq_tmp$x##1955 == Data.OldList.words}</span><span class='hs-varid'>words</span></a> <span class='hs-varid'>nkTemp</span>
<span class=hs-linenum>29: </span>
<span class=hs-linenum>30: </span>    <span class='hs-keyword'>let</span> <span class='hs-sel'>_n</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>read</span> <span class='hs-layout'>(</span><span class='hs-varid'>head</span> <span class='hs-varid'>nk</span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Int</span>
<span class=hs-linenum>31: </span>    <span class='hs-keyword'>let</span> <a class=annot href="#"><span class=annottext>GHC.Types.Int</span><span class='hs-varid'>k</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##2026:[GHC.Types.Char] -&gt; GHC.Types.Int</span><span class='hs-varid'>read</span></a> <span class='hs-layout'>(</span><span class=hs-error><a class=annot href="#"><span class=annottext>{lq_tmp$x##1999 : [{lq_tmp$x##1996 : GHC.Types.Char^"lq_tmp$x##1988" | $k_##1987[lq_tmp$x##1984:=lq_anf$##7205759403792808682##d3Vg][lq_tmp$x##1983:=nk##a2zT][VV##1993:=lq_tmp$x##1999][VV##1986:=lq_tmp$x##1996]}]^"lq_tmp$x##1995" | $k_##1994[lq_tmp$x##1984:=lq_anf$##7205759403792808682##d3Vg][lq_tmp$x##1983:=nk##a2zT][VV##1993:=lq_tmp$x##1999]}</span><span class='hs-varid'>nk</span></a></span><span class=hs-error> </span><span class=hs-error><span class='hs-varop'>!!</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-num'>1</span></span><span class='hs-layout'>)</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Int</span>
<span class=hs-linenum>32: </span>
<span class=hs-linenum>33: </span>    <a class=annot href="#"><span class=annottext>[GHC.Types.Char]</span><span class='hs-varid'>arTemp</span></a> <span class='hs-keyglyph'>&lt;-</span> <span class='hs-varid'>getLine</span>
<span class=hs-linenum>34: </span>    <span class='hs-keyword'>let</span> <a class=annot href="#"><span class=annottext>{lq_tmp$x##2317 : [{lq_tmp$x##2314 : GHC.Types.Int^"lq_tmp$x##2306" | $k_##2305[lq_tmp$x##2284:=lq_anf$##7205759403792808686##d3Vk][VV##2311:=lq_tmp$x##2317][lq_tmp$x##2285:=arTemp##a2Dv][VV##2304:=lq_tmp$x##2314]}]^"lq_tmp$x##2313" | $k_##2312[lq_tmp$x##2284:=lq_anf$##7205759403792808686##d3Vk][VV##2311:=lq_tmp$x##2317][lq_tmp$x##2285:=arTemp##a2Dv]}</span><span class='hs-varid'>ar</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##2085:[{lq_tmp$x##2101 : [{lq_tmp$x##2098 : GHC.Types.Char^"lq_tmp$x##2090" | $k_##2089[lq_tmp$x##2084:=lq_anf$##7205759403792808684##d3Vi][VV##2095:=lq_tmp$x##2101][VV##2088:=lq_tmp$x##2098]}]^"lq_tmp$x##2097" | $k_##2096[lq_tmp$x##2084:=lq_anf$##7205759403792808684##d3Vi][VV##2095:=lq_tmp$x##2101]}] -&gt; {lq_tmp$x##2079 : [{lq_tmp$x##2105 : GHC.Types.Int^"lq_tmp$x##2104" | $k_##2103[VV##2102:=lq_tmp$x##2105][lq_tmp$x##2084:=lq_anf$##7205759403792808684##d3Vi]}] | len lq_tmp$x##2079 == len lq_tmp$x##2085}</span><span class='hs-conid'>Data.List.map</span></a> <span class='hs-layout'>(</span><a class=annot href="#"><span class=annottext>lq_tmp$x##2062:[GHC.Types.Char] -&gt; GHC.Types.Int</span><span class='hs-varid'>read</span></a> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>String</span> <span class='hs-keyglyph'>-&gt;</span> <span class='hs-conid'>Int</span><span class='hs-layout'>)</span> <span class='hs-varop'>.</span> <span class='hs-varid'>words</span> <span class='hs-varop'>$</span> <span class='hs-varid'>arTemp</span>
<span class=hs-linenum>35: </span>
<span class=hs-linenum>36: </span>    <span class='hs-keyword'>let</span> <a class=annot href="#"><span class=annottext>GHC.Types.Int</span><span class='hs-varid'>result</span></a> <span class='hs-keyglyph'>=</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##2350:GHC.Types.Int -&gt; lq_tmp$x##2351:[GHC.Types.Int] -&gt; GHC.Types.Int</span><span class='hs-varid'>divisibleSumPairs</span></a> <span class='hs-varid'>k</span> <span class='hs-varid'>ar</span>
<span class=hs-linenum>37: </span>    <a class=annot href="#"><span class=annottext>{lq_tmp$x##2372 : lq_tmp$x##2374:GHC.IO.Handle.Types.Handle -&gt; lq_tmp$x##2375:[GHC.Types.Char] -&gt; (GHC.Types.IO ()) | lq_tmp$x##2372 == GHC.IO.Handle.Text.hPutStrLn}</span><span class='hs-varid'>hPutStrLn</span></a> <span class='hs-varid'>fptr</span> <span class='hs-varop'>$</span> <a class=annot href="#"><span class=annottext>lq_tmp$x##2389:GHC.Types.Int -&gt; [GHC.Types.Char]</span><span class='hs-varid'>show</span></a> <span class='hs-varid'>result</span>
<span class=hs-linenum>38: </span>
<span class=hs-linenum>39: </span>    <a class=annot href="#"><span class=annottext>{lq_tmp$x##2452 : lq_tmp$x##2453:GHC.IO.Handle.Types.Handle -&gt; (GHC.Types.IO ()) | lq_tmp$x##2452 == GHC.IO.Handle.hFlush}</span><span class='hs-varid'>hFlush</span></a> <span class='hs-varid'>fptr</span>
<span class=hs-linenum>40: </span>    <a class=annot href="#"><span class=annottext>{lq_tmp$x##2459 : lq_tmp$x##2460:GHC.IO.Handle.Types.Handle -&gt; (GHC.Types.IO ()) | lq_tmp$x##2459 == GHC.IO.Handle.hClose}</span><span class='hs-varid'>hClose</span></a> <span class='hs-varid'>fptr</span>
</pre>
</body>
</html>